## satan 1.1.4exp-1

=== Makefile ===
SHELL	= /bin/sh
MAKE	= make
RPCGEN	= rpcgen
#LIBS	= -lsocket -lnsl
BINDIR  = /usr/sbin
BASEDIR = /usr/lib/satan
DOCDIR  = /usr/doc/satan
MAN8DIR = /usr/man/man8
MAN1DIR = /usr/man/man1

INSTALL_DOC = install -g bin -m 444 -o root
INSTALL_MAN = $(INSTALL_DOC)
INSTALL_CFG = $(INSTALL_DOC)
INSTALL_BAT = install -g bin -m 550 -o root
INSTALL_BIN = install -g bin -m 110 -o root


default:
	$(MAKE) `uname`



what:
	@echo "Usage: make system-type. Known types are:"
	@echo " "
	@echo "	aix		IBM AIX 3.x"
	@echo "	bsd		Generic 4.3 BSD"
	@echo "	bsd-no-rpcgen	same, without 'rpcgen' utility"
	@echo "	bsdi1		BSD/OS 1.x"
	@echo "	bsdi2		BSD/OS 2.x"
	@echo "	dgux		DG/UX 5.x"
	@echo "	freebsd		FreeBSD 2.x"
	@echo "	hpux9 		HP/UX 9.x"
	@echo "	irix4		IRIX 4.x"
	@echo "	irix5		IRIX 5.x"
	@echo "	linux 		(needs patches from the net)"
	@echo "	osf 		aka Digital UNIX"
	@echo "	sco		SCO UNIX"
	@echo "	sunos4		SunOS 4.1.x"
	@echo "	sunos5		SunOS 5.x"
	@echo "	sysv4 		Generic System V.4"
	@echo "	sysv4-no-rpcgen	same, without 'rpcgen' utility"
	@echo "	ultrix4		Ultrix 4.x"
	@echo " "
	@exit 1;

aix osf bsd sunos4:
	@$(MAKE) all LIBS= XFLAGS="-DAUTH_GID_T=int"

hpux9:
	@$(MAKE) all LIBS= XFLAGS="-DAUTH_GID_T=int" "RPCGEN=rpcgen 2>/dev/null"

ultrix4 bsd-no-rpcgen:
	@$(MAKE) rpcgen all LIBS= XFLAGS="-DAUTH_GID_T=int" \
		RPCGEN="../../bin/rpcgen"

bsdi1:
	@$(MAKE) all LIBS="-lrpc" \
		XFLAGS="-DAUTH_GID_T=int -I`pwd`/include/$@"

bsdi2:
	@$(MAKE) all LIBS="-lrpc" \
		XFLAGS="-DAUTH_GID_T=int -DSYS_ERRLIST_DECLARED" 

freebsd:
	@$(MAKE) all LIBS= XFLAGS="-DAUTH_GID_T=int -DSYS_ERRLIST_DECLARED"

linux:
	@echo The LINUX rules are untested and may be wrong
	@set +e; test -f include/netinet/ip.h || {\
		echo Please copy the 44BSD /usr/include/netinet include files; \
		echo to `pwd`/include/netinet and try again.;\
		exit 1; \
	}
	@$(MAKE) all LIBS= XFLAGS="-I`pwd`/include -DAUTH_GID_T=int"

irix4:
	@$(MAKE) all LIBS="-lXm_s -lXt_s -lX11_s -lPW -lc_s -lsun" \
		XFLAGS="-DAUTH_GID_T=int"

irix5:
	@$(MAKE) all LIBS= XFLAGS="-DAUTH_GID_T=gid_t"

dgux:
	@$(MAKE) all LIBS="-lnsl" XFLAGS="-DAUTH_GID_T=gid_t -DTIRPC"

sunos5 sysv4:
	@$(MAKE) all LIBS="-lsocket -lnsl" XFLAGS="-DAUTH_GID_T=gid_t -DTIRPC"

sysv4-no-rpcgen:
	@$(MAKE) rpcgen all LIBS="-lsocket -lnsl" \
		XFLAGS="-DAUTH_GID_T=gid_t -DTIRPC" \
		RPCGEN="../../bin/rpcgen"

sco:
	@$(MAKE) all LIBS="-lrpc -lsocket" XFLAGS="-DAUTH_GID_T=gid_t"

rpcgen:
	cd src/rpcgen; $(MAKE) "LIBS=$(LIBS)" "XFLAGS=$(XFLAGS)"

all:
	cd src/misc; $(MAKE) "LIBS=$(LIBS)" "XFLAGS=$(XFLAGS)" "RPCGEN=$(RPCGEN)"
	cd src/boot; $(MAKE) "LIBS=$(LIBS)" "XFLAGS=$(XFLAGS)" "RPCGEN=$(RPCGEN)"
	cd src/port_scan; $(MAKE) "LIBS=$(LIBS)" "XFLAGS=$(XFLAGS)"
	cd src/nfs-chk; $(MAKE) "LIBS=$(LIBS)" "XFLAGS=$(XFLAGS)" "RPCGEN=$(RPCGEN)"
	cd src/yp-chk; $(MAKE) "LIBS=$(LIBS)" "XFLAGS=$(XFLAGS)" "RPCGEN=$(RPCGEN)"
	cd src/fping; $(MAKE) "LIBS=$(LIBS)" "CFLAGS=$(XFLAGS)"

checksums:
	@find * -type f -print | sort | xargs md5

clean: 
	cd src/misc; $(MAKE) clean
	cd src/boot; $(MAKE) clean
	cd src/port_scan; $(MAKE) clean
	cd src/nfs-chk; $(MAKE) clean
	cd src/yp-chk; $(MAKE) clean
	cd src/fping; $(MAKE) clean
	cd src/rpcgen; $(MAKE) clean
	rm -f html/satan.html html/satan_documentation.html status_file \
	bit_bucket

tidy:	clean
	rm -f *.old *.bak *.orig */*.old */*.bak */*.orig tmp_file* \
		core *~ *.sw[po]
	rm -rf results 
	chmod -x satan

install install-doc::
	mkdir -p $(DESTDIR)$(DOCDIR)
	 @for file in Changes README* TODO satan.ps ; do \
	(set -x ; $(INSTALL_DOC) $$file $(DESTDIR)$(DOCDIR)/$$file); \
	done
	mkdir -p $(DESTDIR)$(MAN1DIR) $(DESTDIR)$(MAN8DIR)
	$(INSTALL_MAN) satan.8 $(DESTDIR)$(MAN8DIR)
	$(INSTALL_MAN) src/port_scan/tcp_scan.1 $(DESTDIR)$(MAN1DIR)

install install-base::
	mkdir -p $(DESTDIR)$(BASEDIR)
	[ ! -d tmp/ ] && mkdir -p tmp/
	$(INSTALL_BAT) satan reconfig repent $(DESTDIR)$(BASEDIR)
	mkdir -p $(DESTDIR)$(BASEDIR)/perl
	cd perl && $(INSTALL_BAT) * $(DESTDIR)$(BASEDIR)/perl
	mkdir -p $(DESTDIR)$(BASEDIR)/perllib
	cd perllib && $(INSTALL_BAT) * $(DESTDIR)$(BASEDIR)/perllib
	{       echo "#!/bin/sh"  ;\
		echo "case \`id\` in 'uid=0(root)'*) ;;" ; \
		echo "*) echo 'You must be root to run satan !' >&2" ; \
		echo "esac" ; \
	echo "cd $(BASEDIR) && ./satan \"\$$@\"" ; \
	} >./tmp/satan
	mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL_BAT) ./tmp/satan $(DESTDIR)$(BINDIR)/satan
	[ -d tmp/ ] && rmdir -rf tmp/

install install-config::
	mkdir -p $(DESTDIR)$(BASEDIR)/config
	cd config && $(INSTALL_CFG) * $(DESTDIR)$(BASEDIR)/config
	mkdir -p $(DESTDIR)$(BASEDIR)/rules
	cd rules && $(INSTALL_CFG) * $(DESTDIR)$(BASEDIR)/rules

install install-html::
	tar cv - html | tar xvf - -C $(DESTDIR)$(BASEDIR)

install install-mod::
	find $(DESTDIR)$(BASEDIR) -type d -exec chmod    700 {} \; -exec chown 0 {} \;
	find $(DESTDIR)$(BASEDIR) -type f -exec chmod go-rwx {} \; -exec chown 0 {} \;

=== src/boot/Makefile ===
SHELL	= /bin/sh
BIN	= ../../bin
OBJECTS	= boot.o bootparam_prot_xdr.o
CFLAGS	= -I. -O $(XFLAGS)
XFLAGS	= -DAUTH_GID_T=int
RPCGEN	= rpcgen
#LIBS	= -lsocket -lnsl

$(BIN)/boot: $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(LIBS)

bootparam_prot.h bootparam_prot_xdr.c: bootparam_prot.x
	$(RPCGEN) bootparam_prot.x

$(OBJECTS): bootparam_prot.h

clean:
	rm -f *.o $(BIN)/boot bootparam_prot*.[hc]

=== src/fping/Makefile ===

PROG= ../../bin/fping
OBJS= fping.o
SRC= fping.c
BIN= /usr/local/bin
MAN= /usr/man/manl
MANSRC= fping.man
MANDST= fping.l

#
# Interval is the minimum amount of time between sending a ping packet to 
# any host.
#
# Perhost_interval is the minimum amount of time between sending a ping 
# packet to a particular responding host (when count is > 1)
#
# Timeout  is the initial amount of time between sending a ping packet to
# a particular non-responding host.
#
# Retry is the number of ping packets to send to a non-responding host
# before giving up (in is-it-alive mode).
#

DEFAULTS= -DDEFAULT_INTERVAL=25  \
          -DDEFAULT_PERHOST_INTERVAL=1000  \
          -DDEFAULT_TIMEOUT=500  \
          -DDEFAULT_RETRY=3
#         -DDEBUG
#
# some systems need the following:
#
#LIBS= -lsocket

LIBS=

all: $(PROG)

$(PROG) : $(OBJS)
	$(CC) $(OBJS) -o $(PROG) $(LIBS)

$(OBJS) : $(SRC)
	$(CC) $(CFLAGS) -c -O $(DEFAULTS) $(SRC)

# if you don't have install type:
# cp $(PROG) /usr/local/bin
# chown root /usr/local/bin/$(PROG)
# chmod 4555 /usr/local/bin/$(PROG)
# strip      /usr/local/bin/$(PROG)
#

install:
	install -c -m 4555 -o root -s $(PROG) $(BIN)/$(PROG)
	install -c -m 0444 -o root $(MANSRC) $(MAN)/$(MANDST)

clean:
	rm -f a.out core *~  *.o $(PROG)


shar:
	shar README CHANGES fping.c fping.man Makefile README.VMS > fping.shar

=== src/misc/Makefile ===
SHELL	= /bin/sh
BIN	= ../../bin
PROGS	= $(BIN)/md5 $(BIN)/sys_socket $(BIN)/timeout $(BIN)/rcmd \
	$(BIN)/safe_finger $(BIN)/rex 
CFLAGS	= -O -I. $(XFLAGS)
XFLAGS	= -DAUTH_GID_T=int
RPCGEN	= rpcgen
#LIBS	= -lsocket -lnsl
#XOBJS	= environ.o

all:	$(PROGS)

$(BIN)/timeout: timeout.c
	$(CC) $(CFLAGS) -o $@ $?

$(BIN)/rex: rex.o rex_xdr.o
	$(CC) $(CFLAGS) -o $@ rex.o rex_xdr.o $(LIBS)

$(BIN)/md5: md5.o md5c.o
	$(CC) $(CFLAGS) -o $@ md5.o md5c.o

$(BIN)/rcmd: rcmd.c
	$(CC) $(CFLAGS) -o $@ $? $(LIBS)

$(BIN)/sys_socket: sys_socket.c
	$(CC) $(CFLAGS) -o $@ $?

$(BIN)/safe_finger: safe_finger.c $(XOBJS)
	$(CC) $(CFLAGS) -o $@ safe_finger.c $(XOBJS)

rex.h rex_xdr.c: rex.x
	$(RPCGEN) rex.x

rex.o rex_xdr.o: rex.h

clean:
	rm -f $(PROGS) *.o core rex_svc.c rex_clnt.c rex.h rex_xdr.c

=== src/nfs-chk/Makefile ===
SHELL	= /bin/sh
BIN	= ../../bin
OBJECTS	= nfs-chk.o nfs_prot_clnt.o nfs_prot_xdr.o mount_clnt.o mount_xdr.o
MAKES	= nfs_prot.h nfs_prot_clnt.c nfs_prot_svc.c nfs_prot_xdr.c mount.h \
	mount_clnt.c mount_svc.c mount_xdr.c
PROG	= $(BIN)/nfs-chk
CFLAGS	= -O2 -I. $(XFLAGS)
XFLAGS	= -DAUTH_GID_T=int
RPCGEN	= rpcgen
#LIBS	= -lsocket -lnsl

$(PROG):$(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(LIBS)

nfs_prot.h nfs_prot_clnt.c nfs_prot_xdr.c: nfs_prot.x
	$(RPCGEN) $?

nfs_prot.x:
	cp /usr/include/rpcsvc/nfs_prot.x .

mount.h mount_clnt.c mount_xdr.c: mount.x
	$(RPCGEN) $?

mount.x:
	cp /usr/include/rpcsvc/mount.x .

clean:
	rm -f $(PROG) *.o core $(MAKES)

nfs-chk.o: mount.h nfs_prot.h

=== src/port_scan/Makefile ===
SHELL	= /bin/sh
BIN	= ../../bin
TCP_SRC	= tcp_scan.c find_addr.c mallocs.c non_blocking.c \
		print_data.c open_limit.c error.c strerror.c
TCP_OBJ	= tcp_scan.o find_addr.o mallocs.o non_blocking.o \
		print_data.o open_limit.o error.o strerror.o
UDP_SRC	= udp_scan.c find_addr.c mallocs.c open_limit.c error.c ring.c \
		strerror.c
UDP_OBJ	= udp_scan.o find_addr.o mallocs.o open_limit.o error.o ring.o \
		strerror.o
CFLAGS	= -O2 $(XFLAGS) -D_BSD_SOURCE
FILES	= README tcp_scan.1 error.c find_addr.c lib.h makefile mallocs.c \
	non_blocking.c open_limit.c print_data.c tcp_scan.c udp_scan.c ring.c \
	strerror.o
PROGS	= $(BIN)/tcp_scan $(BIN)/udp_scan
#LIBS	= -lsocket -lnsl

all: $(PROGS)

$(BIN)/tcp_scan: $(TCP_OBJ)
	$(CC) $(CFLAGS) -o $@ $(TCP_OBJ) $(LIBS)

$(BIN)/udp_scan: $(UDP_OBJ)
	$(CC) $(CFLAGS) -o $@ $(UDP_OBJ) $(LIBS)

shar:
	@shar $(FILES)

lint:
	lint $(TCP_SRC)
	lint $(UDP_SRC)

clean:
	rm -f *.o $(PROGS) core

=== src/rpcgen/Makefile ===
#
# @(#)Makefile	2.1 88/08/01 4.0 RPCSRC
#
# Makefile for rpc protocol compiler
# Copyright (C) 1987, Sun Microsystems, Inc.
#
SRCS= rpc_main.c rpc_hout.c rpc_cout.c rpc_parse.c rpc_scan.c rpc_util.c \
	rpc_svcout.c rpc_clntout.c
HDRS= rpc_util.h rpc_parse.h rpc_scan.h
OBJS= rpc_main.o rpc_hout.o rpc_cout.o rpc_parse.o rpc_scan.o rpc_util.o \
	rpc_svcout.o rpc_clntout.o

GOAL=../../bin/rpcgen
CFLAGS = -O2 $(XFLAGS)

$(GOAL): $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $@

lint: $(SRCS) $(HDRS)
	lint $(SRCS)

clean:
	rm -f $(GOAL) $(OBJS)

rpc_clntout.o: rpc_clntout.c
rpc_clntout.o: rpc_parse.h
rpc_clntout.o: rpc_util.h
rpc_cout.o: rpc_cout.c
rpc_cout.o: rpc_parse.h
rpc_cout.o: rpc_util.h
rpc_hout.o: rpc_hout.c
rpc_hout.o: rpc_parse.h
rpc_hout.o: rpc_util.h
rpc_main.o: rpc_main.c
rpc_main.o: rpc_parse.h
rpc_main.o: rpc_scan.h
rpc_main.o: rpc_util.h
rpc_parse.o: rpc_parse.c
rpc_parse.o: rpc_parse.h
rpc_parse.o: rpc_scan.h
rpc_parse.o: rpc_util.h
rpc_scan.o: rpc_scan.c
rpc_scan.o: rpc_scan.h
rpc_scan.o: rpc_util.h
rpc_svcout.o: rpc_parse.h
rpc_svcout.o: rpc_svcout.c
rpc_svcout.o: rpc_util.h
rpc_util.o: rpc_parse.h
rpc_util.o: rpc_scan.h
rpc_util.o: rpc_util.c
rpc_util.o: rpc_util.h

=== src/yp-chk/Makefile ===
SHELL	= /bin/sh
BIN	= ../../bin
OBJECTS	= yp-chk.o yp_clnt.o yp_xdr.o 
MAKES	= yp.h yp_clnt.c yp_svc.c yp_xdr.c
PROG	= $(BIN)/yp-chk
CFLAGS	= -O -I. $(XFLAGS)
XFLAGS	= -DAUTH_GID_T=int
RPCGEN	= rpcgen
#LIBS	= -lsocket -lnsl

$(PROG):$(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(LIBS)

yp.h yp_clnt.c yp_xdr.c: yp.x
	$(RPCGEN) $?

clean:
	rm -f $(PROG) *.o core $(MAKES)

yp-chk.o: yp.h

=== debian/changelog ===
satan (1.1.4exp-1) unstable; urgency=low

  * "New" upstream release, I found a new location of the 1.1.4exp version
    after receiving an automated reply from satan@fish.com
  * Re-applied my patches to the source code
  * Removed scan-data results from the source package (were only useful
  to me really)
  * Clarified the note on paths.pl configuration file

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 17 Jan 2003 18:09:36 +0100

satan (1.1.1a-4) unstable; urgency=low

  * Added a 0' note on the README.Debian to make clear why SATAN is 
    provided in Debian
  * Slight change in SATAN's Makefile to prevent using tmp/ on installation
    (not used by Debian for installation but it's cleaner this way)
  * Removed cruft from the end of the changelog file
  
 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 10 Dec 2002 15:46:17 +0100

satan (1.1.1a-3) unstable; urgency=low

  * Added rusers to Suggestions (Closes: #130694)
  * Fixed spelling error (Closes: #125334)
  * Added manpage symlink(Closes: #99557)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 27 Jan 2002 19:54:47 +0100

satan (1.1.1a-2) unstable; urgency=low

  * Added Build-Depends (Closes: #82633)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  7 Jul 2001 01:28:22 +0200

satan (1.1.1a-1) unstable; urgency=low

  * Fictious "new" version in order to fix bug (Closes: #84742)
  * Added manpages (Closes: #62503, #62504)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  2 Jul 2001 09:55:34 +0200

satan (1.1.1-20) unstable; urgency=low

  * Added Build-Depends (Closes: #82633)
  * Uploaded original tar in gzip format (Closes: #84742)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 24 Jan 2001 08:39:31 +0100

satan (1.1.1-19) frozen unstable; urgency=low

  * Changed the postinst, install-docs did not find the description (Closes: #73659)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 30 Dec 2000 02:27:05 +0100

satan (1.1.1-18) frozen unstable; urgency=low

  * Fixed lintian errors
  * Added sharutils as recomended package (provides uudecode. Closes: #56642
  * Now *really* fixed closed bug #61553

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 10 Apr 2000 18:21:24 +0200

satan (1.1.1-17) frozen unstable; urgency=low

  * changed the reconfig in order to run the chmod now correctly 
  (Fixes 61766). This was a side effect of the removal of bugs in
  version 1.1.1-16 (does not cause more than a naughty error message)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  4 Apr 2000 17:53:31 +0200

satan (1.1.1-16) frozen unstable; urgency=low

  * Changed to set PERL as /usr/bin/perl so it uses Debian's alternative
  system. The reconfig script  check for Perl has been commented out 
  (fixes 61558, 61557)
  * Removed old files (fixes 61553)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  2 Apr 2000 13:51:51 +0200

satan (1.1.1-15) unstable; urgency=low

  * Added information in README.Debian on how to make netscape run as a root
  user (not recommended but posible) (fixes 56442)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 23 Feb 2000 19:25:29 +0100

satan (1.1.1-14) unstable; urgency=low

  * Bumped up version just to make an install on unstable (fixes #5709)
   since I forgot to make it upload to frozen too

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 22 Feb 2000 19:47:39 +0100

satan (1.1.1-13) frozen; urgency=low

  * Fixed symlink that did not point to correct directory in
  /usr/shar/doc/satan/html (Closes 55134)
  * Now suggests nfs-common in order to provide showmount binary (Closes 4291)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 21 Jan 2000 19:58:47 +0100

satan (1.1.1-12) unstable; urgency=low

  * Fixed bug in satan-suidconfig that did not allow it to work.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  7 Jan 2000 18:42:46 +0100

satan (1.1.1-11) unstable; urgency=low

  * Fixed error in perl code (fixes bug #45350 and #54006)
  * Fixed regular expression to check DISPLAY (fixes #45350)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  4 Jan 2000 17:31:32 +0100

satan (1.1.1-10) unstable; urgency=low

  * Fixed typo that make satan wrapper been overwritten by  satan-suidconfig (fixes bug #42091)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 29 Jul 1999 01:18:53 +0200

satan (1.1.1-9) unstable; urgency=low

  * Changed file bin/rex.satan in order to fix /tmp exploit (reported by meridian <me@tha.net>

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 27 Jul 1999 13:51:41 +0200

satan (1.1.1-8) unstable; urgency=low

  * Now depends on perl5 (fixes bug #41474)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 20 Jul 1999 21:31:09 +0200

satan (1.1.1-7) unstable; urgency=low

  * Modified SATAN so it will work with ssh connections (closes #37787)
  * Modified (little mistake) so README.Debian is available
  * Added satan-suidconf so users can set it easily setuid (taken from gnuplot)
  * Fixed link to html documentation

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 15 Jun 1999 00:31:09 +0200

satan (1.1.1-6) unstable; urgency=low

  * SATAN now suggests: nis instead of recommends it (closes #39536)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 15 Jun 1999 00:14:39 +0200

satan (1.1.1-5) unstable; urgency=low

  * Changed the documentation and added it to the doc-base system
  * SATAN config does not "yell" anymore when NIS is not available
  and nis is now a recommended package (closes #36507).
  * Added warning in case we run SATAN as user different from root.
  * Modified html.pl in order to send Content-type info (closes #36508)
  * Moved html/ and results/ to /var/lib/satan, and added preinst to
  do this cleanly for previous versions and not lose old results (closes #36544)


=== debian/control ===
Source: satan
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Section: non-free/admin
Priority: optional
Build-Depends: debhelper
Standards-Version: 3.5.6

Package: satan
Architecture: any
Section: non-free/admin
Priority: optional
Depends: perl5, www-browser, ${shlibs:Depends}
Suggests: nis, nfs-common, sharutils, rusers
Description: Security Auditing Tool for Analysing Networks
 This should be a powerful tool for analyzing networks for vulnerabilities
 created for sysadmins that cannot keep a constant look at bugtraq,
 rootshell and the like.
 .
 SATAN is rather out of date, but serves as a good demonstration of
 what auditing tools need to do. Check out nessus if you want an
 up to date audit tool.

=== debian/rules ===
#!/usr/bin/make -f
# Rules Makefile for SATAN
# made by Javier Fernandez-Sanguino Pea <jfs@computer.org>
# with help of sample debian/rules in Ian Jackson's hello package
# Distributed under GNU copyleft.

# rules demanded by Debian policy
# build, binary (binary-arch, binary-indep)

package=satan

build:
	$(checkdir)
	perl reconfig
	-rm -f config/*.old
	make linux
	(cd html/tutorials/ ; perl vulnerability_doc.pl >vulnerability_doc.html)
	touch build


clean:
	make clean
	-rm -f build
	-rm -rf debian/tmp  debian/files*
	dh_clean
	find . -name "*~" -exec rm -rf \{\} \;

binary: binary-arch binary-indep

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
# Setting up control area
	dh_installdirs
#	install -m644 debian/shlibs debian/tmp/DEBIAN
	install -m644 debian/satan.desc debian/tmp/usr/share/doc-base
# Here we set the shells script, libraries and classes
	sed -e '31s/config\//\/etc\/satan\//g'  \
	    -e '32s/bin\//\/usr\/lib\/satan\/bin\//g' \
	    -e '32s/ satan / \/usr\/lib\/satan\/satan /g' \
	    -e '32s/perl\//\/usr\/lib\/satan\/perl\//g' \
		< reconfig > debian/tmp/usr/sbin/satan-reconfig
	chmod 755 debian/tmp/usr/sbin/satan-reconfig
# We can either put the program here or make a wrapper script
	install -m755 debian/satan-wrapper debian/tmp/usr/sbin/satan
	install -m755 debian/satan-suidconfig debian/tmp/usr/sbin/satan-suidconfig
# Put in /usr/lib/satan the following: html, bin, include, perl, rules
	sed -e 's/config\//\/etc\/satan\//g' <satan > \
	                debian/tmp/usr/lib/satan/satan
	chmod 755 debian/tmp/usr/lib/satan/satan
	cp -a bin/ perl/ rules/ debian/tmp/usr/lib/satan
	cp -a html/ results/ debian/tmp/var/lib/satan
	(cd debian/tmp/usr/lib/satan/; ln -s /etc/satan config ; \
			ln -s /var/lib/satan/results results)
# Here we move the documentation
	dh_installdocs README* TODO debian/README.Debian
	# Not neccessary since dh_installdocs does this automatically:
	# debian/TODO debian/README.Debian
	(cd debian/tmp/usr/share/doc/satan/; ln -s /var/lib/satan/html html)
	dh_installchangelogs Changes
	dh_installmanpages 
# Fix for #99557	
	cd `pwd`/debian/tmp/usr/share/man/man1 && ln -s tcp_scan.1.gz upd_scan.1.gz
# Here the conffiles provided by the package
	install -m644 config/* debian/tmp/etc/satan
# This is for the menu system
	dh_installmenu
	strip `find debian/tmp -type f -perm +111 | xargs file | fgrep ELF | sed 's/^\([^:]*\):.*$$/\1/'`
	dh_compress
	dpkg-shlibdeps bin/*
	dh_md5sums
	dh_installdeb
	dh_installdebconf
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-inde: build


#get-orig-source:
# ftp to http://www.fish.com/satan


define checkdir
	test -f debian/rules
endef

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
